/* START OUT WITH SMALL SCREEN DISPLAY*/
/* CREATED ON JUNE5 2022 */
:root {
  --about: #d2ccdd;
  --contact: #d2ccdd;
  --frontpage: #d2ccdd;
  --newsletter: hsl(43, 29%, 68%);
  --event: #a6b7c7;
  --hall-of-fame: #322301;
  --hall-of-fame-c: hsl(43, 37%, 96%);
  --calendar: rgb(185, 241, 197);
}

html {
  font-family: "Maison-Neue-Book", sans-serif;
  font-size: 14px;
  margin: 0 auto;
  color: black;
}

body {
  margin: 0.5rem auto;
  width: 100%;
  max-width: 999px;
  min-width: 450px;
  min-height: 100vh;
  max-height: 100vh;
  border: 0 solid green;
}

a.inline {
  text-decoration: none;
  border-bottom: 2px slategray solid;
}
a.inline:hover {
  border-bottom: 2px tomato solid;
}

#site-title img {
  width: 100%;
  height: auto;
}

main#content {
  background-color: white;
  border: 0 solid green; /* use for debugging layout */
  margin: 5px auto;
  max-width: 1024px;
}

/* show the image, but hide the text for the screen reader */
header {
  padding-bottom: 0.5em;
  outline: 1px dotted rgb(99, 6, 6);
}

article {
  padding: 0;
  margin: 0 1em 0 1em;
}

h1 {
  color: darkslategray;
  font-family: "Maison-Neue-Light";
  font-variant: small-caps;
  font-size: 1.4em;
  font-weight: 400;
  padding: 0.5em 0;
}

h1.wide-only {
  display: none;
}

h2 {
  font-size: 1.2em;
  padding: 2px 0 4px 3px;
  text-align: center;
}

h2.about {
  font-size: 1.1em;
  line-height: 1.3em;
  font-weight: 600;
  text-align: left;
  padding: 2px 0 3px 0;
}

h3 {
  font-weight: 100;
  padding: 0 0 0.5em 0;
  margin: 0;
}

li {
  line-height: 1.3em;
  list-style: none;
  font-size: 0.9rem;
}

li a {
  text-decoration: none;
  border-bottom: 2px blue solid;
}

article p {
  font-family: "Maison-Neue-Light";
  font-size: 0.9em;
  font-weight: 100;
  letter-spacing: 0.05em;
  line-height: 1.5em;
  padding-bottom: 5px;
}

.article p:first-of-type::first-letter {
  color: #393222;
  display: block;
  float: left;
  font-size: 5rem;
  line-height: 0.9;
  margin: 0.4rem 0.4rem 0 0;
}

hr {
  width: 50%;
  margin: .5em auto;
}

/* --------------------------------- */

/* ------------ GRID ITEMS --------------- */
figure.intro-image img {
  border: 1px solid gray;
  grid-area: picture;
  margin: 1em auto;
  margin-bottom: 0.5em;
  width: 95%;
  padding: 3px;
}


figure.intro-image {
  padding-left: 2px;
}



figure.support-intro-image img {
  width: 99%;
  margin: 0 auto;
  margin-bottom: 1em;
}

figcaption {
  clear: both;
  font-size: 0.8em;
  text-align: center;
}

article.main-article {
  grid-area: intro;
  width: 96%;
  margin: 1em auto;
  margin-bottom: 0.3em;
}

article img {
  /* Black shadow with 10px blur */
  margin: 0 1rem 0 0;
  float: left;
  width: 40%;
}

footer#page-footer {
  padding: 0.5em;
  background-color: #fff;
  border-top: 1px dotted black;
  clear: both;
  height: 43px;
  margin: 0;
  text-align: center;
}

footer#page-footer p:first-child {
  padding-top: 0.5em;
}

footer#page-footer p {
  text-align: center;
  color: #666;
  line-height: 1.3em;
  font-size: 0.7em;
  margin: 0;
}

footer#page-footer p a {
  border-bottom: 1px blue solid;
  color: black;
  text-decoration: none;
  line-height: 1.3em;
  font-size: 1em;
}

/* =================================================== */
/* =====  WIDE SCREENS  SCREENS > 771 PX ------------- */
/* =================================================== */

@media screen and (min-width: 771px) {
  html {
    font-size: 16px;
  }

  header {
    box-shadow: 12px 0 15px -4px rgba(204, 204, 204, 0.6),
      -12px 0 8px -4px rgba(204, 204, 204, 0.6);
  }

  main {
    margin: 0 auto;
    text-align: left;
    line-height: 1.5rem;
    font-weight: normal;
    box-shadow: 12px 0 15px -4px rgba(204, 204, 204, 0.6),
      -12px 0 8px -4px rgba(204, 204, 204, 0.6);
  }

  main#content {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas: "aside main main";
  }

  /*make individual changes as required in ...extras.css files */
  .aside-left {
    grid-area: aside;
  }

  .main-right {
    grid-area: main;
  }
}
